Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Interface ProductItem

All Superinterfaces
  CatalogItem, ConfigurableEntity, Serializable

All Known Subinterfaces:
  MutableProductItem

All Known Implementing Classes:
  MutableProductItemImpl, ProductItemImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface ProductItem

extends CatalogItem

This is the interface for all product items contained by the Catalog. This interface exposes data accessors for product item data conforming to the Dublin Core Metadata. Refer to the DCM spec for details: Dublin Core Element Set

Field Summary
`static int` | `DETAILED_DISPLAY_JSP_INDEX` Deprecated See BEA Commerce product offering
`static char` | `INVISIBLE_ITEM` Deprecated See BEA Commerce product offering
`static int` | `MAX_JSP` Deprecated See BEA Commerce product offering
`static int` | `SUMMARY_DISPLAY_JSP_INDEX` Deprecated See BEA Commerce product offering
`static char` | `VISIBLE_ITEM` Deprecated See BEA Commerce product offering

Fields inherited from interface com.beasys.commerce.ebusiness.catalog.CatalogItem
`LARGE_IMAGE_INDEX, LONG_DESCRIPTION_INDEX, MAX_DESCRIPTION, MAX_IMAGES, SHORT_DESCRIPTION_INDEX, SMALL_IMAGE_INDEX`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Method Summary
`InventoryInfo` | `getAvailability()` Deprecated See BEA Commerce product offering
`Money` | `getCurrentPrice()` Deprecated See BEA Commerce product offering
`String` | `getFormat()` Deprecated See BEA Commerce product offering
`JspInfo` | `getJsp(int index)` Deprecated See BEA Commerce product offering
`Money` | `getMsrp()` Deprecated See BEA Commerce product offering
`String` | `getShippingCode()` Deprecated See BEA Commerce product offering
`String` | `getTaxCode()` Deprecated See BEA Commerce product offering
`String` | `getType()` Deprecated See BEA Commerce product offering
`char` | `getVisible()` Deprecated See BEA Commerce product offering

Methods inherited from interface com.beasys.commerce.ebusiness.catalog.CatalogItem
`getContributor, getCoverage, getCreationDate, getCreator, getDescription, getImage, getKey, getLanguage, getModifiedDate, getName, getPublisher, getRelation, getRights, getSource`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getProperty, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Field Detail

### SUMMARY_DISPLAY_JSP_INDEX

    static final int SUMMARY_DISPLAY_JSP_INDEX

  Deprecated See BEA Commerce product offering
  The index for the summary display JSP

  See Also
    Constants Summary

### DETAILED_DISPLAY_JSP_INDEX

    static final int DETAILED_DISPLAY_JSP_INDEX

  Deprecated See BEA Commerce product offering
  The index for the detailed display JSP

  See Also
    Constants Summary

### MAX_JSP

    static final int MAX_JSP

  Deprecated See BEA Commerce product offering
  The number of JSPs supported

  See Also
    Constants Summary

### VISIBLE_ITEM

    static final char VISIBLE_ITEM

  Deprecated See BEA Commerce product offering
  Constant identifier for visible item

  See Also
    Constants Summary

### INVISIBLE_ITEM

    static final char INVISIBLE_ITEM

  Deprecated See BEA Commerce product offering
  Constant identifier for invisible items

  See Also
    Constants Summary

Method Detail

### getJsp

    JspInfo getJsp(int index)

  Deprecated See BEA Commerce product offering

  Get the JSP information for the product item.

  Parameters
    `index` - one of SUMMARY_DISPLAY_JSP_INDEX or DETAILED_DISPLAY_JSP_INDEX.
  Returns
    jspInfo the JSP information.

### getFormat

    String getFormat()

  Deprecated See BEA Commerce product offering

  Get the format information for the product item.

  Name: Format

  Identifier: Format

  Definition: The physical or digital manifestation of the resource.

  Comment: Typically, Format may include the media-type or dimensions of the resource. Format may be used to determine the software, hardware or other equipment needed to display or operate the resource. Examples of dimensions include size and duration. Recommended best practice is to select a value from a controlled vocabulary (for example, the list of Internet Media Types [MIME] defining computer media formats).

  Returns
    the format

### getType

    String getType()

  Deprecated See BEA Commerce product offering

  Get the type information for the product item.

  Name: Resource Type

  Identifier: Type

  Definition: The nature or genre of the content of the resource.

  Comment: Type includes terms describing general categories, functions, genres, or aggregation levels for content. Recommended best practice is to select a value from a controlled vocabulary (for example, the working draft list of Dublin Core Types [DCT1]). To describe the physical or digital manifestation of the resource, use the FORMAT element.

  Returns
    the type

### getTaxCode

    String getTaxCode()

  Deprecated See BEA Commerce product offering

  Get the tax code for the product item. The tax code used should reference the WLCS tax calculation system currently being used.

  Returns
    the tax code

### getShippingCode

    String getShippingCode()

  Deprecated See BEA Commerce product offering

  Get the shipping code for the product item.

  Returns
    the shipping code

### getMsrp

    Money getMsrp()

  Deprecated See BEA Commerce product offering

  Get the MSRP price for the product item.

  Returns
    the price for the product item.

### getCurrentPrice

    Money getCurrentPrice()

  Deprecated See BEA Commerce product offering

  Get the current price for the product item.

  Parameters
    `the` - price for the product item.

### getAvailability

    InventoryInfo getAvailability()

  Deprecated See BEA Commerce product offering

  Get the inventory/availability information for the product item.

  Returns
    the inventory information for the product item.

### getVisible

    char getVisible()

  Deprecated See BEA Commerce product offering

  Get the visiblity mode for this item.

  Returns
    one of ProductItem.VISIBLE_ITEM or ProductItem.INVISIBLE_ITEM

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved